/**
 * @copyright balogatt@gmail.com
 */

/*global $, jQuery*/

jQuery( document ).ready(function() {
    "use strict";

    jQuery("#datum").attr('autocomplete', 'on');

    jQuery("#foglal_table").on("click", "td", function() {
        var th =  jQuery( this ).closest('table').find('th').eq(jQuery( this ).index()).text();
        var th_id =  jQuery( this ).attr('d-sz');
        var e_c = jQuery( this ).attr('class');
        var d_id = jQuery( this ).attr('d-id');
        var ido = jQuery( this ).attr('d-ido');
        var ar = jQuery( this ).attr('d-ar');
        var datum = jQuery( '#datum' ).val();
        var sum = 0;
        jQuery('#sumAll').text(sum);     

        if (e_c.includes("szabad")) {
            var ido = jQuery( this ).attr('d-ido');
            var szek = jQuery( this ).attr('d-sz');
            jQuery( this ).find('span').text('');
            jQuery( this ).addClass('jelolt');
            jQuery( this ).find('e').addClass('fa fa-check-square-o fa-lg');
            jQuery('#kosar').append('<div class="keret" id="ko_'+d_id+'"><div class="datum">'+datum+' '+ido+'</div><div class="nev" s-id="'+th_id+'">'+th+' <span class="ar"><b>'+ar+'</b> Ft</span></div></div>');
        }
        if (e_c.includes("jelolt")) {
            var del_id = 'div#ko_'+d_id;
            jQuery( this ).find('span').text('Szabad');
            jQuery( this ).removeClass('jelolt');
            jQuery( this ).find('e').removeClass('fa fa-check-square-o fa-lg');
            jQuery('#kosar').find(del_id).remove();
        }
        jQuery('.ar').each( function() {
            sum = sum + eval( jQuery(this).find('b').text() );
        });
        jQuery('#sumAll').text(sum);
    });
    jQuery('#rendel').on('click', function(){
        if (jQuery('#sumAll').text() != 0) {
            jQuery('#kosar_fej').text('Megrendelés');
            jQuery('#ido_col').hide();
            jQuery('#rendel').hide();
            jQuery('#kosar_col').removeClass('col-md-3');
            jQuery('#kosar_col').addClass('col-md-12');
            jQuery('#adatok').show();
        } else alert('Nincs mit megrendelni!');
    })
    jQuery('#vegleg').on('click', function(){
       if( jQuery("#nev").val() != '' && jQuery("#mail").val() != '' && jQuery("#tel").val() != '' ){
            jQuery('#ati_modal').modal('show');
            var ko_k = [];
            jQuery('[id^=ko_]').each(function(){
                var obj = {};
                obj['id']= jQuery(this).attr('id');
                var dtemp = jQuery(this).find('.datum').text();
                obj['datum'] = dtemp.substr(0,10);
                obj['ido'] = dtemp.substr(11);
                obj['sz_id'] = jQuery(this).find('.nev').attr('s-id');
                obj['studio'] = jQuery(this).find('.nev').clone().children().remove().end().text();
                obj['ar'] = jQuery(this).find('.ar').text();
                ko_k.push(obj);
            });
            jQuery.ajax({
              url: 'index.php?option=com_ajax&module=ati_foglal&method=getMsg&format=json&id=188',
              type: 'POST',
              dataType: 'json',
              data: {
                    nev: jQuery("#nev").val(),
                    mail: jQuery("#mail").val(),
                    tel: jQuery("#tel").val(),
                    kosar: ko_k,
                    kos_id: jQuery("#basket_id").val(),
                    comm: jQuery("#comm").val()
                },
              complete: function(xhr, textStatus) {
                //called when complete
              },
              success: function(data, textStatus, xhr) {
                // console.log(data);
                jQuery('#mod_ok').removeClass('hidden');
                jQuery('#modal_load').addClass('hidden');
                setTimeout(function(){
                    window.location.reload();
                }, 1000);
              },
              error: function(xhr, textStatus, errorThrown) {
                jQuery('#mod_hiba').removeClass('hidden');
                jQuery('#modal_load').addClass('hidden');
              }
            });
        } else {
            jQuery('.form-body').addClass('keret');
            alert('Az adatok megadása nélkül nem adható le foglalás!');
        }
    })

    jQuery('#aszf').on('click', function(){
        if (jQuery(this).prop('checked')) jQuery('#vegleg').attr('disabled',false);  
        else jQuery('#vegleg').attr('disabled','disabled');  
    });
    jQuery('#removeFullCart').on('click', function(){
        jQuery('#mehet').trigger('click');
    })


});